edu.isi.pegasus.planner.catalog

## Interface Catalog

All Known Subinterfaces:
  ReplicaCatalog, SiteCatalog, TransformationCatalog, WorkCatalog

All Known Implementing Classes:
  Abstract, Database, Database, Directory, File, FlushedCache, JDBCRC, MRC, OSGMM, Regex, SimpleFile, Text, XML, XML2

    public interface Catalog

This interface create a common ancestor for all cataloging interfaces.

Version:
  $Revision$
Author:
  Jens-S. Vöckler, Yong Zhao

### Field Summary

Fields
`static java.lang.String` `DB_ALL_PREFIX` The default DB Driver properties prefix.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `close()` Explicitely free resources before the garbage collection hits.
`boolean` `connect(java.util.Properties props)` Establishes a link between the implementation and the thing the implementation is build upon.
`boolean` `isClosed()` Predicate to check, if the connection with the catalog's implementation is still active.

### Field Detail

#### DB_ALL_PREFIX

    static final java.lang.String DB_ALL_PREFIX

The default DB Driver properties prefix.

See Also:
  Constant Field Values

### Method Detail

#### connect

    boolean connect(java.util.Properties props)

Establishes a link between the implementation and the thing the implementation is build upon.

FIXME: The cause for failure is lost without exceptions.

Parameters:
  `props` - contains all necessary data to establish the link.
Returns:
  true if connected now, or false to indicate a failure.

#### close

    void close()

Explicitely free resources before the garbage collection hits.

#### isClosed

    boolean isClosed()

Predicate to check, if the connection with the catalog's implementation is still active. This helps determining, if it makes sense to call `close()`.

Returns:
  true, if the implementation is disassociated, false otherwise.
See Also:
  `close()`